 @echo off
 if not exist "%~dp0\apt.exe" copy "%~dp0\apt-r1193M.exe" "%~dp0\apt.exe"
 :: replace older apt.exe if present
 call :replaceIfDiff "%~dp0\apt.exe" "%~dp0\apt-r1193M.exe"
 "%~dp0\apt.exe" %*
 goto :eof

 :replaceIfDiff
    if not "%~t1" == "%~t2" (
        echo Replacing apt.exe dated %~t1
        echo with %2 - %~t2
        copy "%~dp0\apt-r1193M.exe" "%~dp0\apt.exe"
        )
     goto :eof 

